Export stream content

Base URL
https://{kibana_url}
  • POST /api/streams/{name}/content/export
Auth

Exports a content pack with the stream structure (routing, mappings, and processing). Significant-event queries are not included.

Required authorization

Privileges manage_stream

Path parameters

name string · max length: 200 required

The name of the stream to export content from.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

description string · max length: 1000 required
include union anyOf required
Any of:
objects object required
all object required
name string · max length: 256 required
version string · max length: 100 required

Response

200

Content pack archive for the stream.

Base URL
https://{kibana_url}